- name: Install packages
  package:
    name:
      - drm-kmod
      - libva-intel-media-driver # va-api support for broadwell (2014) and newer.
      - libva-intel-driver # va-api support until after coffeelake (2017).
      - vulkan-loader
      - libva-utils # for vainfo
      - vdpauinfo # for vdpauinfo
      - libvdpau-va-gl # vdpau support
      - vulkan-tools # For vulkaninfo
    state: present

# - name: Configure vdpau to use va-api driver
#   copy:
#     src: vdpau.sh
#     dest: /etc/profile.d/vdpau.sh
#     mode: 0644
#     owner: root
#     group: root

- name: Install loader.conf
  copy:
    src: "files/{{ item }}_loader.conf"
    dest: "/boot/loader.conf.d/{{ item }}.conf"
    mode: 0644
    owner: root
    group: wheel
  loop:
    - intel_power
    - intel_hw_accel_video

- name: Install service configuration
  copy:
    src: "files/intel_{{ item }}_rc.conf"
    dest: "/etc/rc.conf.d/{{ item }}"
    mode: 0644
    owner: root
    group: wheel
  loop:
    - kld
